Subject: Learning a valid prefix (Re: ICMPv6: New destination unreachable codes)

From: Greg Daley <[email-masked]>
Date: Mon, 02 Feb 2004 11:25:14 +1100

Hi Christian,

I agree, Desination Unreachable is not
the right place to put this information.

I'll explain further below.

Christian Huitema wrote:
>>If I am not wrong, if we wanted the router to send the correct
>>prefix to the host in the ICMP message, we will have to change
>>the format of the ICMPv6 Destination Unreachable message.
>>
>>Currently, we just have 4 bytes unused in the message format and
>>this prefix can't fit in there.
>>
>>So the question is: is it worth changing the format of the message
>>for this optimization ??
> 
> 
> Probably not. Having the proper code is a really nice first step.

While the ICMP Dest Unreachable message isn't the right place
to put this sort of information, it should be available
in the advertised routing information (for a first hop router).

When configuring addresses, the first point of contact
is the router from which the address was configured.
Unless there's a configuration issue within the access network,
one of the most likely reasons for receiving this message is
that the host is misconfigured (may have changed access networks).

SEND defines not only standard prefix discovery, but also
provides certificates of which prefixes a router is allowed to route
(that particular source addresses are valid).

So, either prefix discovery (by requiring source addresses to be
from on-link prefixes) or an authoritative routing delegation
can be used to identify valid prefixes for the router.

If the device providing the invalid source message is not on the
first hop, I'm pretty sure you wouldn't trust it to dictate which
address to use anyway (without further checks).

Greg Daley

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------